xref: /freebsd/contrib/expat/tests/Makefile.in (revision 0957b409)
1# Makefile.in generated by automake 1.15.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017 Expat development team
26# Licensed under the MIT license:
27#
28# Permission is  hereby granted,  free of charge,  to any  person obtaining
29# a  copy  of  this  software   and  associated  documentation  files  (the
30# "Software"),  to  deal in  the  Software  without restriction,  including
31# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
32# distribute, sublicense, and/or sell copies of the Software, and to permit
33# persons  to whom  the Software  is  furnished to  do so,  subject to  the
34# following conditions:
35#
36# The above copyright  notice and this permission notice  shall be included
37# in all copies or substantial portions of the Software.
38#
39# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
40# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
41# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
42# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
43# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
44# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
45# USE OR OTHER DEALINGS IN THE SOFTWARE.
46
47VPATH = @srcdir@
48am__is_gnu_make = { \
49  if test -z '$(MAKELEVEL)'; then \
50    false; \
51  elif test -n '$(MAKE_HOST)'; then \
52    true; \
53  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
54    true; \
55  else \
56    false; \
57  fi; \
58}
59am__make_running_with_option = \
60  case $${target_option-} in \
61      ?) ;; \
62      *) echo "am__make_running_with_option: internal error: invalid" \
63              "target option '$${target_option-}' specified" >&2; \
64         exit 1;; \
65  esac; \
66  has_opt=no; \
67  sane_makeflags=$$MAKEFLAGS; \
68  if $(am__is_gnu_make); then \
69    sane_makeflags=$$MFLAGS; \
70  else \
71    case $$MAKEFLAGS in \
72      *\\[\ \	]*) \
73        bs=\\; \
74        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
75          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
76    esac; \
77  fi; \
78  skip_next=no; \
79  strip_trailopt () \
80  { \
81    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
82  }; \
83  for flg in $$sane_makeflags; do \
84    test $$skip_next = yes && { skip_next=no; continue; }; \
85    case $$flg in \
86      *=*|--*) continue;; \
87        -*I) strip_trailopt 'I'; skip_next=yes;; \
88      -*I?*) strip_trailopt 'I';; \
89        -*O) strip_trailopt 'O'; skip_next=yes;; \
90      -*O?*) strip_trailopt 'O';; \
91        -*l) strip_trailopt 'l'; skip_next=yes;; \
92      -*l?*) strip_trailopt 'l';; \
93      -[dEDm]) skip_next=yes;; \
94      -[JT]) skip_next=yes;; \
95    esac; \
96    case $$flg in \
97      *$$target_option*) has_opt=yes; break;; \
98    esac; \
99  done; \
100  test $$has_opt = yes
101am__make_dryrun = (target_option=n; $(am__make_running_with_option))
102am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
103pkgdatadir = $(datadir)/@PACKAGE@
104pkgincludedir = $(includedir)/@PACKAGE@
105pkglibdir = $(libdir)/@PACKAGE@
106pkglibexecdir = $(libexecdir)/@PACKAGE@
107am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
108install_sh_DATA = $(install_sh) -c -m 644
109install_sh_PROGRAM = $(install_sh) -c
110install_sh_SCRIPT = $(install_sh) -c
111INSTALL_HEADER = $(INSTALL_DATA)
112transform = $(program_transform_name)
113NORMAL_INSTALL = :
114PRE_INSTALL = :
115POST_INSTALL = :
116NORMAL_UNINSTALL = :
117PRE_UNINSTALL = :
118POST_UNINSTALL = :
119build_triplet = @build@
120host_triplet = @host@
121check_PROGRAMS = runtests$(EXEEXT) runtestspp$(EXEEXT)
122TESTS = runtests$(EXEEXT) runtestspp$(EXEEXT)
123subdir = tests
124ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
126	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
127	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
128	$(top_srcdir)/conftools/ac_c_bigendian_cross.m4 \
129	$(top_srcdir)/configure.ac
130am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
131	$(ACLOCAL_M4)
132DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
133mkinstalldirs = $(install_sh) -d
134CONFIG_HEADER = $(top_builddir)/expat_config.h
135CONFIG_CLEAN_FILES =
136CONFIG_CLEAN_VPATH_FILES =
137LIBRARIES = $(noinst_LIBRARIES)
138ARFLAGS = cru
139AM_V_AR = $(am__v_AR_@AM_V@)
140am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
141am__v_AR_0 = @echo "  AR      " $@;
142am__v_AR_1 =
143libruntests_a_AR = $(AR) $(ARFLAGS)
144libruntests_a_LIBADD =
145am_libruntests_a_OBJECTS = chardata.$(OBJEXT) structdata.$(OBJEXT) \
146	memcheck.$(OBJEXT) minicheck.$(OBJEXT)
147libruntests_a_OBJECTS = $(am_libruntests_a_OBJECTS)
148am_runtests_OBJECTS = runtests.$(OBJEXT)
149runtests_OBJECTS = $(am_runtests_OBJECTS)
150runtests_DEPENDENCIES = libruntests.a ../lib/libexpat.la
151AM_V_lt = $(am__v_lt_@AM_V@)
152am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
153am__v_lt_0 = --silent
154am__v_lt_1 =
155am_runtestspp_OBJECTS = runtestspp.$(OBJEXT)
156runtestspp_OBJECTS = $(am_runtestspp_OBJECTS)
157runtestspp_DEPENDENCIES = libruntests.a ../lib/libexpat.la
158AM_V_P = $(am__v_P_@AM_V@)
159am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
160am__v_P_0 = false
161am__v_P_1 = :
162AM_V_GEN = $(am__v_GEN_@AM_V@)
163am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
164am__v_GEN_0 = @echo "  GEN     " $@;
165am__v_GEN_1 =
166AM_V_at = $(am__v_at_@AM_V@)
167am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
168am__v_at_0 = @
169am__v_at_1 =
170DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
171depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
172am__depfiles_maybe = depfiles
173am__mv = mv -f
174COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
175	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
176LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
177	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
178	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
179	$(AM_CFLAGS) $(CFLAGS)
180AM_V_CC = $(am__v_CC_@AM_V@)
181am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
182am__v_CC_0 = @echo "  CC      " $@;
183am__v_CC_1 =
184CCLD = $(CC)
185LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
186	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
187	$(AM_LDFLAGS) $(LDFLAGS) -o $@
188AM_V_CCLD = $(am__v_CCLD_@AM_V@)
189am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
190am__v_CCLD_0 = @echo "  CCLD    " $@;
191am__v_CCLD_1 =
192CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
193	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
194LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
196	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197	$(AM_CXXFLAGS) $(CXXFLAGS)
198AM_V_CXX = $(am__v_CXX_@AM_V@)
199am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
200am__v_CXX_0 = @echo "  CXX     " $@;
201am__v_CXX_1 =
202CXXLD = $(CXX)
203CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
207am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
208am__v_CXXLD_0 = @echo "  CXXLD   " $@;
209am__v_CXXLD_1 =
210SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
211	$(runtestspp_SOURCES)
212DIST_SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
213	$(runtestspp_SOURCES)
214RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
215	ctags-recursive dvi-recursive html-recursive info-recursive \
216	install-data-recursive install-dvi-recursive \
217	install-exec-recursive install-html-recursive \
218	install-info-recursive install-pdf-recursive \
219	install-ps-recursive install-recursive installcheck-recursive \
220	installdirs-recursive pdf-recursive ps-recursive \
221	tags-recursive uninstall-recursive
222am__can_run_installinfo = \
223  case $$AM_UPDATE_INFO_DIR in \
224    n|no|NO) false;; \
225    *) (install-info --version) >/dev/null 2>&1;; \
226  esac
227RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
228  distclean-recursive maintainer-clean-recursive
229am__recursive_targets = \
230  $(RECURSIVE_TARGETS) \
231  $(RECURSIVE_CLEAN_TARGETS) \
232  $(am__extra_recursive_targets)
233AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
234	check recheck distdir
235am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
236# Read a list of newline-separated strings from the standard input,
237# and print each of them once, without duplicates.  Input order is
238# *not* preserved.
239am__uniquify_input = $(AWK) '\
240  BEGIN { nonempty = 0; } \
241  { items[$$0] = 1; nonempty = 1; } \
242  END { if (nonempty) { for (i in items) print i; }; } \
243'
244# Make sure the list of sources is unique.  This is necessary because,
245# e.g., the same source file might be shared among _SOURCES variables
246# for different programs/libraries.
247am__define_uniq_tagged_files = \
248  list='$(am__tagged_files)'; \
249  unique=`for i in $$list; do \
250    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
251  done | $(am__uniquify_input)`
252ETAGS = etags
253CTAGS = ctags
254am__tty_colors_dummy = \
255  mgn= red= grn= lgn= blu= brg= std=; \
256  am__color_tests=no
257am__tty_colors = { \
258  $(am__tty_colors_dummy); \
259  if test "X$(AM_COLOR_TESTS)" = Xno; then \
260    am__color_tests=no; \
261  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
262    am__color_tests=yes; \
263  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
264    am__color_tests=yes; \
265  fi; \
266  if test $$am__color_tests = yes; then \
267    red=''; \
268    grn=''; \
269    lgn=''; \
270    blu=''; \
271    mgn=''; \
272    brg=''; \
273    std=''; \
274  fi; \
275}
276am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
277am__vpath_adj = case $$p in \
278    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
279    *) f=$$p;; \
280  esac;
281am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
282am__install_max = 40
283am__nobase_strip_setup = \
284  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
285am__nobase_strip = \
286  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
287am__nobase_list = $(am__nobase_strip_setup); \
288  for p in $$list; do echo "$$p $$p"; done | \
289  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
290  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
291    if (++n[$$2] == $(am__install_max)) \
292      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
293    END { for (dir in files) print dir, files[dir] }'
294am__base_list = \
295  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
296  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
297am__uninstall_files_from_dir = { \
298  test -z "$$files" \
299    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
300    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
301         $(am__cd) "$$dir" && rm -f $$files; }; \
302  }
303am__recheck_rx = ^[ 	]*:recheck:[ 	]*
304am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
305am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
306# A command that, given a newline-separated list of test names on the
307# standard input, print the name of the tests that are to be re-run
308# upon "make recheck".
309am__list_recheck_tests = $(AWK) '{ \
310  recheck = 1; \
311  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
312    { \
313      if (rc < 0) \
314        { \
315          if ((getline line2 < ($$0 ".log")) < 0) \
316	    recheck = 0; \
317          break; \
318        } \
319      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
320        { \
321          recheck = 0; \
322          break; \
323        } \
324      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
325        { \
326          break; \
327        } \
328    }; \
329  if (recheck) \
330    print $$0; \
331  close ($$0 ".trs"); \
332  close ($$0 ".log"); \
333}'
334# A command that, given a newline-separated list of test names on the
335# standard input, create the global log from their .trs and .log files.
336am__create_global_log = $(AWK) ' \
337function fatal(msg) \
338{ \
339  print "fatal: making $@: " msg | "cat >&2"; \
340  exit 1; \
341} \
342function rst_section(header) \
343{ \
344  print header; \
345  len = length(header); \
346  for (i = 1; i <= len; i = i + 1) \
347    printf "="; \
348  printf "\n\n"; \
349} \
350{ \
351  copy_in_global_log = 1; \
352  global_test_result = "RUN"; \
353  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
354    { \
355      if (rc < 0) \
356         fatal("failed to read from " $$0 ".trs"); \
357      if (line ~ /$(am__global_test_result_rx)/) \
358        { \
359          sub("$(am__global_test_result_rx)", "", line); \
360          sub("[ 	]*$$", "", line); \
361          global_test_result = line; \
362        } \
363      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
364        copy_in_global_log = 0; \
365    }; \
366  if (copy_in_global_log) \
367    { \
368      rst_section(global_test_result ": " $$0); \
369      while ((rc = (getline line < ($$0 ".log"))) != 0) \
370      { \
371        if (rc < 0) \
372          fatal("failed to read from " $$0 ".log"); \
373        print line; \
374      }; \
375      printf "\n"; \
376    }; \
377  close ($$0 ".trs"); \
378  close ($$0 ".log"); \
379}'
380# Restructured Text title.
381am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
382# Solaris 10 'make', and several other traditional 'make' implementations,
383# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
384# by disabling -e (using the XSI extension "set +e") if it's set.
385am__sh_e_setup = case $$- in *e*) set +e;; esac
386# Default flags passed to test drivers.
387am__common_driver_flags = \
388  --color-tests "$$am__color_tests" \
389  --enable-hard-errors "$$am__enable_hard_errors" \
390  --expect-failure "$$am__expect_failure"
391# To be inserted before the command running the test.  Creates the
392# directory for the log if needed.  Stores in $dir the directory
393# containing $f, in $tst the test, in $log the log.  Executes the
394# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
395# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
396# will run the test scripts (or their associated LOG_COMPILER, if
397# thy have one).
398am__check_pre = \
399$(am__sh_e_setup);					\
400$(am__vpath_adj_setup) $(am__vpath_adj)			\
401$(am__tty_colors);					\
402srcdir=$(srcdir); export srcdir;			\
403case "$@" in						\
404  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
405    *) am__odir=.;; 					\
406esac;							\
407test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
408  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
409if test -f "./$$f"; then dir=./;			\
410elif test -f "$$f"; then dir=;				\
411else dir="$(srcdir)/"; fi;				\
412tst=$$dir$$f; log='$@'; 				\
413if test -n '$(DISABLE_HARD_ERRORS)'; then		\
414  am__enable_hard_errors=no; 				\
415else							\
416  am__enable_hard_errors=yes; 				\
417fi; 							\
418case " $(XFAIL_TESTS) " in				\
419  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
420    am__expect_failure=yes;;				\
421  *)							\
422    am__expect_failure=no;;				\
423esac; 							\
424$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
425# A shell command to get the names of the tests scripts with any registered
426# extension removed (i.e., equivalently, the names of the test logs, with
427# the '.log' extension removed).  The result is saved in the shell variable
428# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
429# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
430# since that might cause problem with VPATH rewrites for suffix-less tests.
431# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
432am__set_TESTS_bases = \
433  bases='$(TEST_LOGS)'; \
434  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
435  bases=`echo $$bases`
436RECHECK_LOGS = $(TEST_LOGS)
437TEST_SUITE_LOG = test-suite.log
438TEST_EXTENSIONS = @EXEEXT@ .test
439LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
440am__set_b = \
441  case '$@' in \
442    */*) \
443      case '$*' in \
444        */*) b='$*';; \
445          *) b=`echo '$@' | sed 's/\.log$$//'`; \
446       esac;; \
447    *) \
448      b='$*';; \
449  esac
450am__test_logs1 = $(TESTS:=.log)
451am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
452TEST_LOGS = $(am__test_logs2:.test.log=.log)
453TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
454TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
455	$(TEST_LOG_FLAGS)
456DIST_SUBDIRS = $(SUBDIRS)
457am__DIST_COMMON = $(srcdir)/Makefile.in \
458	$(top_srcdir)/conftools/depcomp \
459	$(top_srcdir)/conftools/test-driver
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461am__relativize = \
462  dir0=`pwd`; \
463  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
464  sed_rest='s,^[^/]*/*,,'; \
465  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
466  sed_butlast='s,/*[^/]*$$,,'; \
467  while test -n "$$dir1"; do \
468    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
469    if test "$$first" != "."; then \
470      if test "$$first" = ".."; then \
471        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
472        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
473      else \
474        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
475        if test "$$first2" = "$$first"; then \
476          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
477        else \
478          dir2="../$$dir2"; \
479        fi; \
480        dir0="$$dir0"/"$$first"; \
481      fi; \
482    fi; \
483    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
484  done; \
485  reldir="$$dir2"
486ACLOCAL = @ACLOCAL@
487AMTAR = @AMTAR@
488AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
489AR = @AR@
490AS = @AS@
491AUTOCONF = @AUTOCONF@
492AUTOHEADER = @AUTOHEADER@
493AUTOMAKE = @AUTOMAKE@
494AWK = @AWK@
495CC = @CC@
496CCDEPMODE = @CCDEPMODE@
497CFLAGS = @CFLAGS@
498CPP = @CPP@
499CPPFLAGS = @CPPFLAGS@
500CXX = @CXX@
501CXXCPP = @CXXCPP@
502CXXDEPMODE = @CXXDEPMODE@
503CXXFLAGS = @CXXFLAGS@
504CYGPATH_W = @CYGPATH_W@
505DEFS = @DEFS@
506DEPDIR = @DEPDIR@
507DLLTOOL = @DLLTOOL@
508DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
509DSYMUTIL = @DSYMUTIL@
510DUMPBIN = @DUMPBIN@
511ECHO_C = @ECHO_C@
512ECHO_N = @ECHO_N@
513ECHO_T = @ECHO_T@
514EGREP = @EGREP@
515EXEEXT = @EXEEXT@
516FGREP = @FGREP@
517FILEMAP = @FILEMAP@
518GREP = @GREP@
519INSTALL = @INSTALL@
520INSTALL_DATA = @INSTALL_DATA@
521INSTALL_PROGRAM = @INSTALL_PROGRAM@
522INSTALL_SCRIPT = @INSTALL_SCRIPT@
523INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
524LD = @LD@
525LDFLAGS = @LDFLAGS@
526LIBAGE = @LIBAGE@
527LIBCURRENT = @LIBCURRENT@
528LIBOBJS = @LIBOBJS@
529LIBREVISION = @LIBREVISION@
530LIBS = @LIBS@
531LIBTOOL = @LIBTOOL@
532LIPO = @LIPO@
533LN_S = @LN_S@
534LTLIBOBJS = @LTLIBOBJS@
535LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
536MAKEINFO = @MAKEINFO@
537MANIFEST_TOOL = @MANIFEST_TOOL@
538MKDIR_P = @MKDIR_P@
539NM = @NM@
540NMEDIT = @NMEDIT@
541OBJDUMP = @OBJDUMP@
542OBJEXT = @OBJEXT@
543OTOOL = @OTOOL@
544OTOOL64 = @OTOOL64@
545PACKAGE = @PACKAGE@
546PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
547PACKAGE_NAME = @PACKAGE_NAME@
548PACKAGE_STRING = @PACKAGE_STRING@
549PACKAGE_TARNAME = @PACKAGE_TARNAME@
550PACKAGE_URL = @PACKAGE_URL@
551PACKAGE_VERSION = @PACKAGE_VERSION@
552PATH_SEPARATOR = @PATH_SEPARATOR@
553RANLIB = @RANLIB@
554SED = @SED@
555SET_MAKE = @SET_MAKE@
556SHELL = @SHELL@
557STRIP = @STRIP@
558VERSION = @VERSION@
559abs_builddir = @abs_builddir@
560abs_srcdir = @abs_srcdir@
561abs_top_builddir = @abs_top_builddir@
562abs_top_srcdir = @abs_top_srcdir@
563ac_ct_AR = @ac_ct_AR@
564ac_ct_CC = @ac_ct_CC@
565ac_ct_CXX = @ac_ct_CXX@
566ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
567am__include = @am__include@
568am__leading_dot = @am__leading_dot@
569am__quote = @am__quote@
570am__tar = @am__tar@
571am__untar = @am__untar@
572bindir = @bindir@
573build = @build@
574build_alias = @build_alias@
575build_cpu = @build_cpu@
576build_os = @build_os@
577build_vendor = @build_vendor@
578builddir = @builddir@
579datadir = @datadir@
580datarootdir = @datarootdir@
581docdir = @docdir@
582dvidir = @dvidir@
583exec_prefix = @exec_prefix@
584host = @host@
585host_alias = @host_alias@
586host_cpu = @host_cpu@
587host_os = @host_os@
588host_vendor = @host_vendor@
589htmldir = @htmldir@
590includedir = @includedir@
591infodir = @infodir@
592install_sh = @install_sh@
593libdir = @libdir@
594libexecdir = @libexecdir@
595localedir = @localedir@
596localstatedir = @localstatedir@
597mandir = @mandir@
598mkdir_p = @mkdir_p@
599oldincludedir = @oldincludedir@
600pdfdir = @pdfdir@
601prefix = @prefix@
602program_transform_name = @program_transform_name@
603psdir = @psdir@
604sbindir = @sbindir@
605sharedstatedir = @sharedstatedir@
606srcdir = @srcdir@
607sysconfdir = @sysconfdir@
608target_alias = @target_alias@
609top_build_prefix = @top_build_prefix@
610top_builddir = @top_builddir@
611top_srcdir = @top_srcdir@
612SUBDIRS = . benchmark
613AM_CPPFLAGS = -I$(srcdir)/../lib
614noinst_LIBRARIES = libruntests.a
615
616# To support MinGW and Non-MinGW at the same time:
617LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
618libruntests_a_SOURCES = \
619    chardata.c \
620    structdata.c \
621    memcheck.c \
622    minicheck.c
623
624runtests_SOURCES = \
625    runtests.c
626
627runtestspp_SOURCES = \
628    runtestspp.cpp
629
630runtests_LDADD = libruntests.a ../lib/libexpat.la
631runtestspp_LDADD = libruntests.a ../lib/libexpat.la
632EXTRA_DIST = \
633    chardata.h \
634    structdata.h \
635    minicheck.h \
636    memcheck.h \
637    README.txt \
638    udiffer.py \
639    xmltest.log.expected \
640    xmltest.sh
641
642all: all-recursive
643
644.SUFFIXES:
645.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
646$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
647	@for dep in $?; do \
648	  case '$(am__configure_deps)' in \
649	    *$$dep*) \
650	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
651	        && { if test -f $@; then exit 0; else break; fi; }; \
652	      exit 1;; \
653	  esac; \
654	done; \
655	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
656	$(am__cd) $(top_srcdir) && \
657	  $(AUTOMAKE) --gnu tests/Makefile
658Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
659	@case '$?' in \
660	  *config.status*) \
661	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
662	  *) \
663	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
664	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
665	esac;
666
667$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
668	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
669
670$(top_srcdir)/configure:  $(am__configure_deps)
671	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
672$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
673	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
674$(am__aclocal_m4_deps):
675
676clean-noinstLIBRARIES:
677	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
678
679libruntests.a: $(libruntests_a_OBJECTS) $(libruntests_a_DEPENDENCIES) $(EXTRA_libruntests_a_DEPENDENCIES)
680	$(AM_V_at)-rm -f libruntests.a
681	$(AM_V_AR)$(libruntests_a_AR) libruntests.a $(libruntests_a_OBJECTS) $(libruntests_a_LIBADD)
682	$(AM_V_at)$(RANLIB) libruntests.a
683
684clean-checkPROGRAMS:
685	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
686	echo " rm -f" $$list; \
687	rm -f $$list || exit $$?; \
688	test -n "$(EXEEXT)" || exit 0; \
689	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
690	echo " rm -f" $$list; \
691	rm -f $$list
692
693runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES)
694	@rm -f runtests$(EXEEXT)
695	$(AM_V_CCLD)$(LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
696
697runtestspp$(EXEEXT): $(runtestspp_OBJECTS) $(runtestspp_DEPENDENCIES) $(EXTRA_runtestspp_DEPENDENCIES)
698	@rm -f runtestspp$(EXEEXT)
699	$(AM_V_CXXLD)$(CXXLINK) $(runtestspp_OBJECTS) $(runtestspp_LDADD) $(LIBS)
700
701mostlyclean-compile:
702	-rm -f *.$(OBJEXT)
703
704distclean-compile:
705	-rm -f *.tab.c
706
707@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@
708@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@
709@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@
710@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@
711@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtestspp.Po@am__quote@
712@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@
713
714.c.o:
715@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
716@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
717@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
718@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
720
721.c.obj:
722@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
723@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
724@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
725@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
727
728.c.lo:
729@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
730@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
731@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
732@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
734
735.cpp.o:
736@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
737@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
738@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
739@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
741
742.cpp.obj:
743@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
744@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
745@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
746@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
748
749.cpp.lo:
750@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
751@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
752@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
753@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
755
756mostlyclean-libtool:
757	-rm -f *.lo
758
759clean-libtool:
760	-rm -rf .libs _libs
761
762# This directory's subdirectories are mostly independent; you can cd
763# into them and run 'make' without going through this Makefile.
764# To change the values of 'make' variables: instead of editing Makefiles,
765# (1) if the variable is set in 'config.status', edit 'config.status'
766#     (which will cause the Makefiles to be regenerated when you run 'make');
767# (2) otherwise, pass the desired values on the 'make' command line.
768$(am__recursive_targets):
769	@fail=; \
770	if $(am__make_keepgoing); then \
771	  failcom='fail=yes'; \
772	else \
773	  failcom='exit 1'; \
774	fi; \
775	dot_seen=no; \
776	target=`echo $@ | sed s/-recursive//`; \
777	case "$@" in \
778	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
779	  *) list='$(SUBDIRS)' ;; \
780	esac; \
781	for subdir in $$list; do \
782	  echo "Making $$target in $$subdir"; \
783	  if test "$$subdir" = "."; then \
784	    dot_seen=yes; \
785	    local_target="$$target-am"; \
786	  else \
787	    local_target="$$target"; \
788	  fi; \
789	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
790	  || eval $$failcom; \
791	done; \
792	if test "$$dot_seen" = "no"; then \
793	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
794	fi; test -z "$$fail"
795
796ID: $(am__tagged_files)
797	$(am__define_uniq_tagged_files); mkid -fID $$unique
798tags: tags-recursive
799TAGS: tags
800
801tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
802	set x; \
803	here=`pwd`; \
804	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
805	  include_option=--etags-include; \
806	  empty_fix=.; \
807	else \
808	  include_option=--include; \
809	  empty_fix=; \
810	fi; \
811	list='$(SUBDIRS)'; for subdir in $$list; do \
812	  if test "$$subdir" = .; then :; else \
813	    test ! -f $$subdir/TAGS || \
814	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
815	  fi; \
816	done; \
817	$(am__define_uniq_tagged_files); \
818	shift; \
819	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
820	  test -n "$$unique" || unique=$$empty_fix; \
821	  if test $$# -gt 0; then \
822	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
823	      "$$@" $$unique; \
824	  else \
825	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
826	      $$unique; \
827	  fi; \
828	fi
829ctags: ctags-recursive
830
831CTAGS: ctags
832ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
833	$(am__define_uniq_tagged_files); \
834	test -z "$(CTAGS_ARGS)$$unique" \
835	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
836	     $$unique
837
838GTAGS:
839	here=`$(am__cd) $(top_builddir) && pwd` \
840	  && $(am__cd) $(top_srcdir) \
841	  && gtags -i $(GTAGS_ARGS) "$$here"
842cscopelist: cscopelist-recursive
843
844cscopelist-am: $(am__tagged_files)
845	list='$(am__tagged_files)'; \
846	case "$(srcdir)" in \
847	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
848	  *) sdir=$(subdir)/$(srcdir) ;; \
849	esac; \
850	for i in $$list; do \
851	  if test -f "$$i"; then \
852	    echo "$(subdir)/$$i"; \
853	  else \
854	    echo "$$sdir/$$i"; \
855	  fi; \
856	done >> $(top_builddir)/cscope.files
857
858distclean-tags:
859	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
860
861# Recover from deleted '.trs' file; this should ensure that
862# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
863# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
864# to avoid problems with "make -n".
865.log.trs:
866	rm -f $< $@
867	$(MAKE) $(AM_MAKEFLAGS) $<
868
869# Leading 'am--fnord' is there to ensure the list of targets does not
870# expand to empty, as could happen e.g. with make check TESTS=''.
871am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
872am--force-recheck:
873	@:
874
875$(TEST_SUITE_LOG): $(TEST_LOGS)
876	@$(am__set_TESTS_bases); \
877	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
878	redo_bases=`for i in $$bases; do \
879	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
880	            done`; \
881	if test -n "$$redo_bases"; then \
882	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
883	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
884	  if $(am__make_dryrun); then :; else \
885	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
886	  fi; \
887	fi; \
888	if test -n "$$am__remaking_logs"; then \
889	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
890	       "recursion detected" >&2; \
891	elif test -n "$$redo_logs"; then \
892	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
893	fi; \
894	if $(am__make_dryrun); then :; else \
895	  st=0;  \
896	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
897	  for i in $$redo_bases; do \
898	    test -f $$i.trs && test -r $$i.trs \
899	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
900	    test -f $$i.log && test -r $$i.log \
901	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
902	  done; \
903	  test $$st -eq 0 || exit 1; \
904	fi
905	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
906	ws='[ 	]'; \
907	results=`for b in $$bases; do echo $$b.trs; done`; \
908	test -n "$$results" || results=/dev/null; \
909	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
910	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
911	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
912	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
913	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
914	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
915	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
916	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
917	  success=true; \
918	else \
919	  success=false; \
920	fi; \
921	br='==================='; br=$$br$$br$$br$$br; \
922	result_count () \
923	{ \
924	    if test x"$$1" = x"--maybe-color"; then \
925	      maybe_colorize=yes; \
926	    elif test x"$$1" = x"--no-color"; then \
927	      maybe_colorize=no; \
928	    else \
929	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
930	    fi; \
931	    shift; \
932	    desc=$$1 count=$$2; \
933	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
934	      color_start=$$3 color_end=$$std; \
935	    else \
936	      color_start= color_end=; \
937	    fi; \
938	    echo "$${color_start}# $$desc $$count$${color_end}"; \
939	}; \
940	create_testsuite_report () \
941	{ \
942	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
943	  result_count $$1 "PASS: " $$pass  "$$grn"; \
944	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
945	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
946	  result_count $$1 "FAIL: " $$fail  "$$red"; \
947	  result_count $$1 "XPASS:" $$xpass "$$red"; \
948	  result_count $$1 "ERROR:" $$error "$$mgn"; \
949	}; \
950	{								\
951	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
952	    $(am__rst_title);						\
953	  create_testsuite_report --no-color;				\
954	  echo;								\
955	  echo ".. contents:: :depth: 2";				\
956	  echo;								\
957	  for b in $$bases; do echo $$b; done				\
958	    | $(am__create_global_log);					\
959	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
960	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
961	if $$success; then						\
962	  col="$$grn";							\
963	 else								\
964	  col="$$red";							\
965	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
966	fi;								\
967	echo "$${col}$$br$${std}"; 					\
968	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
969	echo "$${col}$$br$${std}"; 					\
970	create_testsuite_report --maybe-color;				\
971	echo "$$col$$br$$std";						\
972	if $$success; then :; else					\
973	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
974	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
975	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
976	  fi;								\
977	  echo "$$col$$br$$std";					\
978	fi;								\
979	$$success || exit 1
980
981check-TESTS:
982	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
983	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
984	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
985	@set +e; $(am__set_TESTS_bases); \
986	log_list=`for i in $$bases; do echo $$i.log; done`; \
987	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
988	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
989	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
990	exit $$?;
991recheck: all $(check_PROGRAMS)
992	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
993	@set +e; $(am__set_TESTS_bases); \
994	bases=`for i in $$bases; do echo $$i; done \
995	         | $(am__list_recheck_tests)` || exit 1; \
996	log_list=`for i in $$bases; do echo $$i.log; done`; \
997	log_list=`echo $$log_list`; \
998	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
999	        am__force_recheck=am--force-recheck \
1000	        TEST_LOGS="$$log_list"; \
1001	exit $$?
1002runtests.log: runtests$(EXEEXT)
1003	@p='runtests$(EXEEXT)'; \
1004	b='runtests'; \
1005	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1006	--log-file $$b.log --trs-file $$b.trs \
1007	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1008	"$$tst" $(AM_TESTS_FD_REDIRECT)
1009runtestspp.log: runtestspp$(EXEEXT)
1010	@p='runtestspp$(EXEEXT)'; \
1011	b='runtestspp'; \
1012	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1013	--log-file $$b.log --trs-file $$b.trs \
1014	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1015	"$$tst" $(AM_TESTS_FD_REDIRECT)
1016.test.log:
1017	@p='$<'; \
1018	$(am__set_b); \
1019	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1020	--log-file $$b.log --trs-file $$b.trs \
1021	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1022	"$$tst" $(AM_TESTS_FD_REDIRECT)
1023@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1024@am__EXEEXT_TRUE@	@p='$<'; \
1025@am__EXEEXT_TRUE@	$(am__set_b); \
1026@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1027@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1028@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1029@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1030
1031distdir: $(DISTFILES)
1032	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1033	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1034	list='$(DISTFILES)'; \
1035	  dist_files=`for file in $$list; do echo $$file; done | \
1036	  sed -e "s|^$$srcdirstrip/||;t" \
1037	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1038	case $$dist_files in \
1039	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1040			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1041			   sort -u` ;; \
1042	esac; \
1043	for file in $$dist_files; do \
1044	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1045	  if test -d $$d/$$file; then \
1046	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1047	    if test -d "$(distdir)/$$file"; then \
1048	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049	    fi; \
1050	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1051	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1052	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1053	    fi; \
1054	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1055	  else \
1056	    test -f "$(distdir)/$$file" \
1057	    || cp -p $$d/$$file "$(distdir)/$$file" \
1058	    || exit 1; \
1059	  fi; \
1060	done
1061	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1062	  if test "$$subdir" = .; then :; else \
1063	    $(am__make_dryrun) \
1064	      || test -d "$(distdir)/$$subdir" \
1065	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1066	      || exit 1; \
1067	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1068	    $(am__relativize); \
1069	    new_distdir=$$reldir; \
1070	    dir1=$$subdir; dir2="$(top_distdir)"; \
1071	    $(am__relativize); \
1072	    new_top_distdir=$$reldir; \
1073	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1074	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1075	    ($(am__cd) $$subdir && \
1076	      $(MAKE) $(AM_MAKEFLAGS) \
1077	        top_distdir="$$new_top_distdir" \
1078	        distdir="$$new_distdir" \
1079		am__remove_distdir=: \
1080		am__skip_length_check=: \
1081		am__skip_mode_fix=: \
1082	        distdir) \
1083	      || exit 1; \
1084	  fi; \
1085	done
1086check-am: all-am
1087	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1088	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1089check: check-recursive
1090all-am: Makefile $(LIBRARIES)
1091installdirs: installdirs-recursive
1092installdirs-am:
1093install: install-recursive
1094install-exec: install-exec-recursive
1095install-data: install-data-recursive
1096uninstall: uninstall-recursive
1097
1098install-am: all-am
1099	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1100
1101installcheck: installcheck-recursive
1102install-strip:
1103	if test -z '$(STRIP)'; then \
1104	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1105	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1106	      install; \
1107	else \
1108	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1109	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1110	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1111	fi
1112mostlyclean-generic:
1113	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1114	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1115	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1116
1117clean-generic:
1118
1119distclean-generic:
1120	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1121	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1122
1123maintainer-clean-generic:
1124	@echo "This command is intended for maintainers to use"
1125	@echo "it deletes files that may require special tools to rebuild."
1126clean: clean-recursive
1127
1128clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1129	clean-noinstLIBRARIES mostlyclean-am
1130
1131distclean: distclean-recursive
1132	-rm -rf ./$(DEPDIR)
1133	-rm -f Makefile
1134distclean-am: clean-am distclean-compile distclean-generic \
1135	distclean-tags
1136
1137dvi: dvi-recursive
1138
1139dvi-am:
1140
1141html: html-recursive
1142
1143html-am:
1144
1145info: info-recursive
1146
1147info-am:
1148
1149install-data-am:
1150
1151install-dvi: install-dvi-recursive
1152
1153install-dvi-am:
1154
1155install-exec-am:
1156
1157install-html: install-html-recursive
1158
1159install-html-am:
1160
1161install-info: install-info-recursive
1162
1163install-info-am:
1164
1165install-man:
1166
1167install-pdf: install-pdf-recursive
1168
1169install-pdf-am:
1170
1171install-ps: install-ps-recursive
1172
1173install-ps-am:
1174
1175installcheck-am:
1176
1177maintainer-clean: maintainer-clean-recursive
1178	-rm -rf ./$(DEPDIR)
1179	-rm -f Makefile
1180maintainer-clean-am: distclean-am maintainer-clean-generic
1181
1182mostlyclean: mostlyclean-recursive
1183
1184mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1185	mostlyclean-libtool
1186
1187pdf: pdf-recursive
1188
1189pdf-am:
1190
1191ps: ps-recursive
1192
1193ps-am:
1194
1195uninstall-am:
1196
1197.MAKE: $(am__recursive_targets) check-am install-am install-strip
1198
1199.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1200	check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1201	clean-libtool clean-noinstLIBRARIES cscopelist-am ctags \
1202	ctags-am distclean distclean-compile distclean-generic \
1203	distclean-libtool distclean-tags distdir dvi dvi-am html \
1204	html-am info info-am install install-am install-data \
1205	install-data-am install-dvi install-dvi-am install-exec \
1206	install-exec-am install-html install-html-am install-info \
1207	install-info-am install-man install-pdf install-pdf-am \
1208	install-ps install-ps-am install-strip installcheck \
1209	installcheck-am installdirs installdirs-am maintainer-clean \
1210	maintainer-clean-generic mostlyclean mostlyclean-compile \
1211	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1212	recheck tags tags-am uninstall uninstall-am
1213
1214.PRECIOUS: Makefile
1215
1216
1217# Tell versions [3.59,3.63) of GNU make to not export all variables.
1218# Otherwise a system limit (for SysV at least) may be exceeded.
1219.NOEXPORT:
1220